# Interface methods for submodule: MaximumProjectionImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: MaximumProjectionImageFilter
class MaximumProjectionImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetProjectionDimension(self, _arg: int) -> None:
		""""""
		...

	def GetProjectionDimension(self) -> int:
		""""""
		...

